package main

import (
	"PackageManager/Client/Database"
	"PackageManager/Client/Filesystem"
)

func main() {
	var e error

	e = Database.InitDB()
	if e != nil {
		panic(e)
	}

	/*
		e = Filesystem.UpdateFilesystemHash()
		if e != nil {
			panic(e)
		}
	*/

	e = Filesystem.GetFilesystemDiff()
	if e != nil {
		panic(e)
	}

	//e := Archive.TarGzip("/tmp/test", "/tmp/test.tar.gz")
	//e := Archive.UntarGzip("/tmp/test.tar.gz", "/tmp/test")
	//fmt.Println(e)
}
